<?xml version="1.0" encoding="UTF-8" ?>
<jsp:root
	xmlns:jsp="http://java.sun.com/JSP/Page"
	xmlns:og="hybs-taglib.tld"
	version="2.0">
<jsp:directive.page language="java" contentType="text/html; charset=UTF-8" />

<jsp:directive.page import="org.opengion.fukurou.util.LineNotify" />

<og:head headType="result" />
<jsp:directive.include file="/jsp/custom/result_info.jsp" />
<og:comment
	system	= "GF:エンジンサンプル"
	pgid	= "GF6490"
	title	= "LINE Notify"
	date	= "2020/07/20"
	author	= "Kazuhiko.Hasegawa"
	text	= ""
	version	= "001"
/>

<jsp:scriptlet>
	final String token   = request.getParameter( "token" );
	final String message = request.getParameter( "message" );
	final String proxy   = request.getParameter( "proxy" );
	final String stmpPkg = request.getParameter( "stickerPackageId" );
	final String stmpId  = request.getParameter( "stickerId" );

	final LineNotify lineNotify = new LineNotify( token,proxy );
</jsp:scriptlet>
<pre>
<jsp:scriptlet>
	try {
		lineNotify.setStamp( stmpPkg,stmpId );
		lineNotify.notify( message );
		out.println( message + " was successfully sent." );
	}
	catch( final Throwable th ) {
		th.printStackTrace( new java.io.PrintWriter(out) );
	}

</jsp:scriptlet>
</pre>

<jsp:directive.include file="/jsp/common/htmlend.jsp" />
</jsp:root>
